<?php
session_start();
if (isset($_SESSION['id_utilisateur'])){
    echo "<h1>Bonjour ".$_SESSION['prenom'] ."</h1><br>";
    echo "Vous êtes déjà connecté <br>";
    echo "<a href='index.php?action=deconnexion'>Se déconnecter ?</a>";
}
else{

    if ($return == 'user-inserted'){
        echo '<p style=color:green;>Votre compte a bien été créé, vous pouvez maintenant vous connecter </p>';
    }
    elseif ($return == 'email-connexion-error'){    
    echo '<p style=color:red;>Ce mail n\'est pas associé à un compte</p>';
    }
    elseif ($return == 'mdp-connexion-error'){  
    echo '<p style=color:red;>Le mot de passe est incorrect </p>';
    }

?>
<a href="index.php" class="retour">< Retour</a>
    <h1>Connexion</h1>
    <form method="POST" action="index.php?action=traite-connexion">
        <label for="mail">Login</label> <br>
        <input type="email" id="mail" name="email" <?php if($return =='email-connexion-error'){echo 'style=background-color:#ffb0ad;';} ?>> <br> <br>
        <label for="mdp">Mot de passe</label>  <br>
        <input type="password" id="mdp" name="mdp" <?php if($return=='mdp-connexion-error'){echo 'style=background-color:#ffb0ad;';}?> ><br> <br>
        <input type="submit" value="Se connecter"> <br> <br>
        <span>Vous n'avez pas de compte ?  </span><a href="index.php?action=inscription" class="lien-connexion-inscription">S'inscrire</a>
    </form>
    
<?php
}
?>